Spaces method and path for this operation:
get /s/{space_id}/api/fleet/agents/{agentId}
Refer to Spaces for more information.
Get an agent by ID.
[Required authorization] Route required privileges: fleet-agents-read.
GET
/api/fleet/agents/{agentId}
curl \
--request GET 'https://<KIBANA_URL>/api/fleet/agents/{agentId}' \
--header "Authorization: $API_KEY"
Response examples (200)
Agent details
{
"item": {
"active": true,
"agent_id": "agent-id-1",
"enrolled_at": "2024-01-01T00:00:00.000Z",
"id": "agent-id-1",
"local_metadata": {
"elastic": {
"agent": {
"version": "8.17.0"
}
},
"host": {
"hostname": "my-host"
},
"os": {
"name": "linux"
}
},
"policy_id": "agent-policy-id-1",
"policy_revision": 1,
"status": "online",
"type": "PERMANENT",
"updated_at": "2024-01-01T00:00:00.000Z"
}
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}
Response examples (404)
No agent was found with the given ID
{
"error": "Not Found",
"message": "Agent agent-id-1 not found",
"statusCode": 404
}